PrepareMessage (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.repair.messages

## Class PrepareMessage

- java.lang.Object
- - org.apache.cassandra.repair.messages.RepairMessage
  - - org.apache.cassandra.repair.messages.PrepareMessage

-     public class PrepareMessage
      extends RepairMessage

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PrepareMessage.PrepareMessageSerializer`

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `RepairMessage.MessageSerializer<T extends RepairMessage>, RepairMessage.RepairMessageSerializer, RepairMessage.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<java.util.UUID>` | `cfIds`
    `boolean` | `isGlobal`
    `boolean` | `isIncremental`
    `java.util.UUID` | `parentRepairSession`
    `java.util.Collection<Range<Token>>` | `ranges`
    `static RepairMessage.MessageSerializer` | `serializer`
    `long` | `timestamp`

    - ### Fields inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `desc, messageType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrepareMessage(java.util.UUID parentRepairSession, java.util.List<java.util.UUID> cfIds, java.util.Collection<Range<Token>> ranges, boolean isIncremental, long timestamp, boolean isGlobal)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `createMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final RepairMessage.MessageSerializer serializer

    - #### cfIds

          public final java.util.List<java.util.UUID> cfIds

    - #### ranges

          public final java.util.Collection<Range<Token>> ranges

    - #### parentRepairSession

          public final java.util.UUID parentRepairSession

    - #### isIncremental

          public final boolean isIncremental

    - #### timestamp

          public final long timestamp

    - #### isGlobal

          public final boolean isGlobal

  - ### Constructor Detail

    - #### PrepareMessage

          public PrepareMessage(java.util.UUID parentRepairSession,
                                java.util.List<java.util.UUID> cfIds,
                                java.util.Collection<Range<Token>> ranges,
                                boolean isIncremental,
                                long timestamp,
                                boolean isGlobal)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation